<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>time - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="file.html">file</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="file.html#.readDir">readDir</a></li><li data-type='method' style='display: none;'><a href="file.html#.getFileTime">getFileTime</a></li><li data-type='method' style='display: none;'><a href="file.html#.path">path</a></li><li data-type='method' style='display: none;'><a href="file.html#.exists">exists</a></li><li data-type='method' style='display: none;'><a href="file.html#.load">load</a></li><li data-type='method' style='display: none;'><a href="file.html#.save">save</a></li><li data-type='method' style='display: none;'><a href="file.html#.gnuplot">gnuplot</a></li></ul></li><li><a href="http.html">http</a></li><li><a href="python.html">python</a></li><li><a href="regex.html">regex</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="regex.html#.regexMatch">regexMatch</a></li><li data-type='method' style='display: none;'><a href="regex.html#.regexIndexes">regexIndexes</a></li><li data-type='method' style='display: none;'><a href="regex.html#.regexReplace">regexReplace</a></li><li data-type='method' style='display: none;'><a href="regex.html#.regexSplit">regexSplit</a></li></ul></li><li><a href="stats.html">stats</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="stats.html#.random">random</a></li><li data-type='method' style='display: none;'><a href="stats.html#.getStat">getStat</a></li><li data-type='method' style='display: none;'><a href="stats.html#.getStatValue">getStatValue</a></li><li data-type='method' style='display: none;'><a href="stats.html#.getDivergence">getDivergence</a></li><li data-type='method' style='display: none;'><a href="stats.html#.plotHistogram">plotHistogram</a></li><li data-type='method' style='display: none;'><a href="stats.html#.plotStatCurve">plotStatCurve</a></li><li data-type='method' style='display: none;'><a href="stats.html#.plotStatBoxes">plotStatBoxes</a></li></ul></li><li><a href="std.html">std</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="std.html#.echo">echo</a></li><li data-type='method' style='display: none;'><a href="std.html#.alert">alert</a></li><li data-type='method' style='display: none;'><a href="std.html#.argv">argv</a></li><li data-type='method' style='display: none;'><a href="std.html#.system">system</a></li><li data-type='method' style='display: none;'><a href="std.html#.wfork">wfork</a></li><li data-type='method' style='display: none;'><a href="std.html#.wfork">wfork</a></li></ul></li><li><a href="time.html">time</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="time.html#.sleep">sleep</a></li><li data-type='method' style='display: none;'><a href="time.html#.now">now</a></li><li data-type='method' style='display: none;'><a href="time.html#.nowISO">nowISO</a></li></ul></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">time</h1>
    

    




<section>

<header>
    
        <h2>
        
            time
        
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    

    <h4 class="name" id="time"><span class="type-signature"></span>factory time<span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Specifies the time management specific functions.</p>
<ul>
<li>These functions are accessible via the <code>aidesys::</code> prefix.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






























        
        </div>
    

    

    

    
    
    

     

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    <h4 class="name" id=".sleep"><span class="type-signature type-signature-static">(static) </span>sleep<span class="signature">(delay)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Sleeps allowing other threads to proceed.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>delay</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            

            

            <td class="description last"><p>The delay in milliseconds.</p></td>
        </tr>

    
    </tbody>
</table>



















        
            

    

    <h4 class="name" id=".now"><span class="type-signature type-signature-static">(static) </span>now<span class="signature">(daytime<span class="signature-attributes">opt</span>, relative<span class="signature-attributes">opt</span>)</span><span class="type-signature"> &rarr; {double}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Gets the cpu or real time from program start.</p>
<ul>
<li>The following construct measures the calculation time of a given calculation:</li>
</ul>
<pre class="prettyprint source"><code>  aidesys::now(false, false);
  calculation();
  printf(&quot;calculus duration in msec : %.3f\n&quot;, aidesys::now(false, true));
</code></pre></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        
        <th>Attributes</th>
        

        
        <th>Default</th>
        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>daytime</code></td>
            

            <td class="type">
            
                
<span class="param-type">bool</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>true</code>
                
                </td>
            

            <td class="description last"><p>If true considers real time, if false consider cpu time.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>relative</code></td>
            

            <td class="type">
            
                
<span class="param-type">bool</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>false</code>
                
                </td>
            

            <td class="description last"><p>If true returns the relative time between two calls of now(), else returns either:</p>
<ul>
<li>The number of milliseconds elapsed since January 1, 1970, 00:00:00 UTC.</li>
<li>The cpu time from program start.</li>
</ul></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>The time in milli-seconds, with maximal of micro-second precision.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">double</span>



    </dd>
</dl>

    



        
            

    

    <h4 class="name" id=".nowISO"><span class="type-signature type-signature-static">(static) </span>nowISO<span class="signature">()</span><span class="type-signature"> &rarr; {string}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns the present date and time, with one second precision, following the ISO8601 norm.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>



























<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>The date and time in the '%Y-%m-%dT%H:%M:%S' format.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">string</span>



    </dd>
</dl>

    



        
    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2025-01-22 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>